from wb_modbus import parse_uart_settings_str
from wb_modbus.bindings import WBModbusDeviceBase
from ir import get_default_parser, backup_ir


if __name__ == '__main__':
        parser = get_default_parser()
        args = parser.parse_args()
        instrument = WBModbusDeviceBase(args.slaveid, args.port, *parse_uart_settings_str(args.uart_params_str))
        backup_ir(instrument)
