from wb_modbus import parse_uart_settings_str
from wb_modbus.bindings import WBModbusDeviceBase
from ir import get_default_parser, restore_ir


if __name__ == '__main__':
        parser = get_default_parser()
        parser.add_argument('ir_file', type=str, help='IR commands dump')
        args = parser.parse_args()
        instrument = WBModbusDeviceBase(args.slaveid, args.port, *parse_uart_settings_str(args.uart_params_str))
        restore_ir(instrument, args.ir_file)
